tmat_t Struct Reference

Transition matrix data structure. More...

`#include <tmat.h>`

## Data Fields

uint8 *** | tp
| The transition matrices; kept in the same scale as acoustic scores; tp[tmatid][from-state][to-state].
int16 | n_tmat
| Number matrices.
int16 | n_state
| Number source states in matrix (only the emitting states); Number destination states = n_state+1, it includes the exit state.

## Detailed Description

Transition matrix data structure.

All phone HMMs are assumed to have the same topology.

Definition at line 55 of file tmat.h.

## Field Documentation

## n_state

int16 tmat_t::n_state

Number source states in matrix (only the emitting states); Number destination states = n_state+1, it includes the exit state.

Definition at line 59 of file tmat.h.

Referenced by tmat_dump(), tmat_init(), and tmat_report().

## n_tmat

int16 tmat_t::n_tmat

Number matrices.

Definition at line 58 of file tmat.h.

Referenced by tmat_dump(), tmat_init(), and tmat_report().

## tp

uint8*** tmat_t::tp

The transition matrices; kept in the same scale as acoustic scores; tp[tmatid][from-state][to-state].

Definition at line 56 of file tmat.h.

Referenced by ngram_search_init(), tmat_dump(), tmat_free(), and tmat_init().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/tmat.h